html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Hina Mincho', serif;
    background-color: #fde2e4;
}

#cover {
    position: absolute;
    width: 100%;
    left: 0%;
    top: 0%;
    image-rendering: optimizeQuality;
    -webkit-transition: opacity 1s ease-in-out;
    -moz-transition: opacity 1s ease-in-out;
    -o-transition: opacity 1s ease-in-out;
    transition: opacity 1s ease-in-out;
}

h1 {
    text-align: center;
    font-size: 56px;
    letter-spacing: 3px;
    position: relative;
    color: #211522;
}

.dark {
    background-color: #421918;
    color: #cf653f;
    transition: background-color 300ms;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 200px;
    background-color: #f9f9f9;
}

li a {
    display: block;
    color: #000;
    padding: 8px 16px;
    text-decoration: none;
    font-size: 16px;
}

li a:hover {
    background-color: #f3c4fb;
    color: black;
    transition: ease 1.0s;
}

.darkli a {
    display: block;
    color: black;
    padding: 8px 16px;
    text-decoration: none;
    font-size: 16px;
}

.darkli a:hover {
    background-color: #ffd29d;
    color: black;
    transition: ease 1.0s;
}

.dropbtn {
    position: sticky;
    position: -webkit-sticky;
    color: black;
    background-color: #d0d1ff;
    text-decoration: dotted;
    padding: 16px;
    font-size: 16px;
    cursor: pointer;
    z-index: 100px;
    top: 0%;
}

.buttondark {
    position: sticky;
    position: -webkit-sticky;
    color: #ffdab9;
    background-color: #413036;
    text-decoration: dotted;
    padding: 16px;
    font-size: 16px;
    cursor: pointer;
    z-index: 100px;
    top: 0%;
    transition: ease 0.3s;
}

.dropdown {
    position: sticky;
    z-index: 100;
    left: 0%;
    top: 0%;
    border: #502419;
    display: inline-block;
}

.dropblack {
    position: sticky;
    z-index: 100;
    left: 0%;
    top: 0%;
    border: white;
    display: inline-block;
}

.darkul {
    display: none;
    position: absolute;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    background-color: black;
    transition: background-color 300ms;
}

.darkul a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropblack:hover .darkul {
    display: block;
    transition: ease 1.0s;
}

.dropblack:hover .buttondark {
    background-color: #cb6540;
    color: black;
    transition: ease 1.0s;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown:hover .dropdown-content {
    display: block;
    transition: ease 1.0s;
}

.dropdown:hover .dropbtn {
    background-color: #b79ced;
    color: white;
    transition: ease 1.0s;
}

#textbox {
    position: absolute;
    height: 1000px;
    top: 1050px;
    font-size: 24px;
    text-indent: 50px;
    padding: 20px;
    margin-left: 50px;
}

#button {
    background: none;
    position: absolute;
    left: 48%;
    display: block;
    height: 55px;
    width: 55px;
    border: none;
    border-radius: 50%;
    padding: 0%;
    -webkit-animation: button 2s cubic-bezier(0.455, 0.030, 0.515, 0.955) 1s infinite both;
    animation: button 2s cubic-bezier(0.455, 0.030, 0.515, 0.955) 1s infinite both;
}

.arrowdark {
    background: none;
    position: absolute;
    left: 48%;
    display: block;
    height: 55px;
    width: 55px;
    border: none;
    border-radius: 50%;
    padding: 0%;
    -webkit-animation: button 2s cubic-bezier(0.455, 0.030, 0.515, 0.955) 1s infinite both;
    animation: button 2s cubic-bezier(0.455, 0.030, 0.515, 0.955) 1s infinite both;
}

@-webkit-keyframes button {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
    }
    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

@keyframes button {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
    }
    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

#button:hover {
    background-color: #cdb4db;
    transition: ease 1.0s;
}

.arrowdark:hover {
    background-color: #da6c37;
    transition: ease 1.0s;
}

.row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4 0px;
}

.column {
    flex: 25%;
    max-width: 30%;
    padding: 0 4px;
}

.column img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
}

.icon-bar {
    position: fixed;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.icon-bar a {
    display: block;
    text-align: center;
    padding: 16px;
    transition: all 0.3s ease;
    color: white;
    font-size: 20px;
}

.icon-bar a:hover {
    background-color: #000;
}

.facebook {
    background: #3B5998;
    color: white;
}

.twitter {
    background: #55ACEE;
    color: white;
}

.instagram {
    background: #30618A;
    color: white;
}

.pinterest {
    background: #E60023;
    color: white;
}

.youtube {
    background: #bb0000;
    color: white;
}

#nextbtn {
    position: absolute;
    top: 2400px;
    height: 50px;
    left: 47%;
    display: inline-block;
    line-height: 35px;
    margin: 8px;
    padding: 0 15px;
    font-size: 15px;
    opacity: .999;
    border: none;
    border-radius: 3px;
    color: #D3B1C2;
    @extend.animate;
}

#nextbtn:before,
#nextbtn:after {
    content: '';
    border-style: solid;
    position: absolute;
    z-index: 5;
    border-radius: 3px;
    box-sizing: content-box;
    border-color: #9b59b6;
    color: #613659;
    transition: all 0.3s;
    @extend.animate;
}

#nextbtn:before {
    width: 0;
    height: 100%;
    border-width: 1px 0 1px 0;
    top: -1px;
    left: 0;
    border-color: #9b59b6;
    transition: all 0.3s;
    transition-delay: 0.05s;
}

#nextbtn:after {
    width: 100%;
    height: 0;
    border-width: 0 1px 0 1px;
    top: 0;
    transition: all 0.3s;
    border-color: #9b59b6;
    left: -1px;
}

#nextbtn:hover:before {
    width: 100%;
    border-color: #9b59b6;
    transition: all 0.3s;
}

#nextbtn:hover:after {
    height: 100%;
    border-color: #9b59b6;
    color: #613659;
    transition: all 0.3s;
}

#buttonpls {
    position: absolute;
    left: 95.5%;
    top: 20px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    transition: background 0.2s linear;
}

.checkbox {
    opacity: 0;
    position: absolute;
}

.label {
    background-color: #613659;
    border-radius: 50px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: relative;
    height: 11px;
    width: 31px;
    z-index: 100px;
    transform: scale(1.5);
}

.label .ball {
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    height: 16px;
    width: 16px;
    transform: translateX(0px);
    transition: transform 0.2s linear;
}

.checkbox:checked+.label {
    background-color: #211522;
    transition: ease-in 0.3s;
}

.checkbox:checked+.label .ball {
    transform: translateX(20px);
}

.fa-moon {
    filter: invert(70%) sepia(90%) saturate(449%) hue-rotate(1deg) brightness(97%) contrast(98%);
    top: 190px;
    height: 12px;
    width: 14px;
}

.fa-sun {
    filter: invert(70%) sepia(90%) saturate(449%) hue-rotate(1deg) brightness(97%) contrast(98%);
    top: 190px;
    height: 12px;
    width: 14px;
}